/{organizationId}/{mandateId}/crm/passes/templates/{templateId}Gets a specific pass template with all of its details
Required permissions:
mandate.read
contactPassTemplate.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired templateIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/passes/templates/{templateId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
namestringrequired minLength: 1
maxLength: 40
descriptionstringrequired maxLength: 100
targetstringrequired Options:
walletprintwalletAndPrintObjectId as string
contactTypestringrequired Options:
memberaddresscustomersponsorcontributoremployeesupplieruseRecognizableBarcodebooleanrequired publishedAtstring | nullrequired Additional properties are not allowed.
emailSubjectstringrequired maxLength: 100
emailMessagestringrequired maxLength: 1600
emailDaysBeforeinteger | nullrequired minimum: 1
maximum: 365
Response
{
"_id": "000000000000000000000001",
"name": "string",
"description": "string",
"target": "wallet",
"expressaPrintTemplate": "000000000000000000000001",
"contactType": "member",
"contactSegments": [
"string"
],
"useRecognizableBarcode": true,
"publishedAt": "string",
"statistics": {
"pending": 0,
"installed": 0,
"uninstalled": 0,
"printed": 0
},
"emailSubject": "string",
"emailMessage": "string",
"validFrom": {
"literal": [
1
]
},
"validTo": {
"literal": [
1
]
},
"emailDaysBefore": 1
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}